<template>
  <Header>
    <MenuContainer
      slot="menu"
      :is-vertical="!isDesktop"
    />
    <Menu
      slot="logo"
      :items="[{key: 'logo', route: {name: 'index'}}]"
    >
      <Logo slot="logo-content" />
    </Menu>
    <SideContainer
      slot="side"
      :is-vertical="!isDesktop"
    />
  </Header>
</template>

<script>
import Header from '../../components/header/Header';
import Logo from '../../components/logo/Logo';
import MenuContainer from '../menu/MenuContainer';
import SideContainer from '../side/SideContainer';
import Menu from '../../components/menu/Menu';
import bpMixin from '../../mixins/bpMixin';

export default {
  name: 'HeaderContainer',
  components: {
    Menu,
    SideContainer,
    MenuContainer,
    Logo,
    Header,
  },
  mixins: [bpMixin],
};
</script>
